Bug 1251136 - Review Request: qpid-tests - Conformance tests for Apache Qpid
Review Request: qpid-tests - Conformance tests for Apache Qpid
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Conway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1251146
  Show dependency treegraph
 
Reported: 2015-08-06 10:11 EDT by Irina Boverman
Modified: 2016-04-07 11:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-07 11:34:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iboverma: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Package spec file (922 bytes, text/plain)
2015-08-06 10:12 EDT, Irina Boverman
no flags Details
source rpm (62.90 KB, application/x-rpm)
2015-08-06 10:12 EDT, Irina Boverman
no flags Details
source rpm (62.90 KB, application/x-rpm)
2015-08-13 16:24 EDT, Irina Boverman
no flags Details
Package spec file (944 bytes, text/plain)
2015-08-13 16:25 EDT, Irina Boverman
no flags Details

  None (edit)
Description Irina Boverman 2015-08-06 10:11:00 EDT
Spec URL: qpid-tests.spec (attached)
SRPM URL: qpid-tests-0.32-1.el7.src.rpm (attached)

Fedora Account System Username: irina
Comment 1 Irina Boverman 2015-08-06 10:12:05 EDT
Created attachment 1059976 [details]
Package spec file
Comment 2 Irina Boverman 2015-08-06 10:12:35 EDT
Created attachment 1059977 [details]
source rpm
Comment 3 Gwyn Ciesla 2015-08-07 09:29:21 EDT
No SCM request found.
Comment 4 Irina Boverman 2015-08-13 16:24:49 EDT
Created attachment 1062811 [details]
source rpm
Comment 5 Irina Boverman 2015-08-13 16:25:27 EDT
Created attachment 1062812 [details]
Package spec file
Comment 7 Alan Conway 2015-08-21 12:51:21 EDT
I give this a pass. There are two failed SHOULD items, I don't know how important they are but I suspect not very.

Issues:
=======
- Package contains BR: python2-devel or python3-devel


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache (v2.0)". Detailed output of licensecheck
     in /home/aconway/tmp/review/review-qpid-tests/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qpid-tests-0.32-1.fc24.noarch.rpm
          qpid-tests-0.32-1.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
qpid-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-qpid
    python-qpid-qmf



Provides
--------
qpid-tests:
    qpid-tests



Source checksums
----------------
http://www.apache.org/dist/qpid/0.32/qpid-tests-0.32.tar.gz :
  CHECKSUM(SHA256) this package     : bb4c8fa15021730cb00c3580a6b0abf666c875fd71fed42c26fa9ed4e6e8cdfb
  CHECKSUM(SHA256) upstream package : bb4c8fa15021730cb00c3580a6b0abf666c875fd71fed42c26fa9ed4e6e8cdfb


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n qpid-tests
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 8 Irina Boverman 2015-08-24 16:16:17 EDT
New Package SCM Request
=======================
Package Name: qpid-tests
Short Description: Conformance tests for Apache Qpid
Upstream URL:  http://qpid.apache.org
Owners: irina
Branches: f23 epel7
InitialCC: irina
Comment 9 Gwyn Ciesla 2015-08-25 09:33:40 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.